Bug 312081 - /etc/sendmail.cf overridden -- yikes!
/etc/sendmail.cf overridden -- yikes!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 21:38 EDT by Scott Doty
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 10:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Doty 2007-09-28 21:38:22 EDT
Description of problem:

Application of update to sendmail replaced a customized /etc/sendmail.cf with
the default sendmail.cf, and saved the old version as /etc/sendmail.cf.bak. 
This broke my mail server, it seems like the new sendmail.cf should have been
saved as sendmail.cf.rpmnew

Version-Release number of selected component (if applicable):

8.14.1-4.2

How reproducible:

change /etc/mail/sendmail.cf to (say) allow external connections, and then run
"yum update sendmail" -- tada!  A default sendmail.cf overrides the changes.
Comment 1 Thomas Woerner 2007-10-01 10:02:43 EDT
I am sorry, but changes should be made in the sendmail.mc file in /etc/mail.
/etc/sendmail.cf gets automatically overwritten if there is a change in any of
the mc files in /etc/mail.

Note You need to log in before you can comment on or make changes to this bug.